SVNKit Home

## org.tmatesoft.svn.core.javahl
Class JavaHLProgressLog

    java.lang.Object
      org.tmatesoft.svn.util.SVNDebugLogAdapter
          org.tmatesoft.svn.core.javahl.JavaHLProgressLog

All Implemented Interfaces:
  org.tmatesoft.svn.util.ISVNDebugLog

public class JavaHLProgressLog
extends org.tmatesoft.svn.util.SVNDebugLogAdapter

Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`JavaHLProgressLog(org.tigris.subversion.javahl.ProgressListener progressListener)`

Method Summary
`void` `log(org.tmatesoft.svn.util.SVNLogType logType, String message, byte[] data)`
`void` `log(org.tmatesoft.svn.util.SVNLogType logType, String message, Level logLevel)`
`void` `log(org.tmatesoft.svn.util.SVNLogType logType, Throwable th, Level logLevel)`
`void` `reset()`

Methods inherited from class org.tmatesoft.svn.util.SVNDebugLogAdapter
`createInputLogStream, createLogStream, createLogStream, createOutputLogStream, flushStream, logError, logError, logFine, logFine, logFiner, logFiner, logFinest, logFinest, logSevere, logSevere`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHLProgressLog

    public JavaHLProgressLog(org.tigris.subversion.javahl.ProgressListener progressListener)

Method Detail

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    byte[] data)

### reset

    public void reset()

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    Throwable th,
                    Level logLevel)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    Level logLevel)

SVNKit Home

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.